Open the API in a window with appropriate params and headers instead of using the Curl. User is navigated to Instagram login OAuth screen. On successful login, listen on window object for message where event listener returns data in its callback function.
Sample code to listen to event data:
window.addEventListener('message',
function(e) {
if (e.data && e.data.page === 'social_media_posting') {
const { actionType, page, platform, placement, accountId, reconnectAccounts } = e.data
}
},
false)
Event Data Response:
{
actionType: string, Ex: "close"
page: string, Ex: "social-media-posting"
platform: string, Ex: "instagram"
placement: string, Ex: "placement"
accountId: string, Ex: "658a9b6833b91e0ecb8f3958"
reconnectAccounts: string[]] Ex: ["658a9b6833b91e0ecb834acd", "efd2daa9b6833b91e0ecb8f3511"]
}
The accountId retrieved from above data can be used to fetch Instagram account details using below API -
API: '/social-media-posting/oauth/instagram/accounts/:accountId'
Method: GET
http
GET https://services.leadconnectorhq.com/social-media-posting/oauth/instagram/startAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Query parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | w37swmmLbA02zgqKPpxITe2 | Account Id |
userId | string | Yes | u37swmmLbA02zgqKPpxITe2 | User Id |
page | string | No | integration | Page |
reconnect | string | No | true | Reconnect |
Responses
200 - Successful Response
400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X GET 'https://services.leadconnectorhq.com/social-media-posting/oauth/instagram/start' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'const response = await fetch('https://services.leadconnectorhq.com/social-media-posting/oauth/instagram/start', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/social-media-posting/oauth/instagram/start',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/social-media-posting/oauth/instagram/start');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);